ADTF 3 and Plugin generated Attachments
2020-10-12 14:30 - hidden

Status: Closed
Priority: Normal
Category:
Customer: CARIAD Product Issue
Numbers:
Department: D/CS-G33 Affected Products: ADTF 3.7.1
Requester's Priority: Normal Platform: Windows 10 64bit
Support Level: 2nd Level Topic: ADTF::AttachedFiles
Resolution: Solved Issue FAQ Links:
Description
Support Anfrage:

Ist es wie mit dem EDS-Service aus ADTF 2 méglich, beliebigen Inhalt an ein *.adtfdat als "attachments" anzuhangen? Ich kenne die
XML-Datei "attachment configuration", aber wie geht sowas aus dem Plugin heraus?

Ich meine, daB es bei frithen Versionen von ADTF 3 noch keine Méglichkeit gab. Hat sich da was ge&ndert? Gibt es Beispiele oder
Planungen fur zukiinftige Versionen?

Lésung:
Man hat 2 Mdéglichkeiten:

1. Man erzeugt die Config Datei in deinem PreFileClosed Handler, die der Recorder dann danach auswertet. Uber
<embedded_file> kann man direkt Dateien beflllen.

https://support.digitalwerk.net/adtf/v3/adtf_html/page_file_attachments.html#sec_af order
2. man schreibt seine Daten in eine Datei die Uber ein <path> (auch mit wildcards) element in der Config gefunden wird.

Empfohlen ist Variante 2 (also eine extra Datei). Auch wenn da naturlich Attachment Config und Ablageort zusammenpassen
massen.

Im Moment ist keine direktere Moglichkeit wie in ADTF 2 geplant.

History

#1 - 2020-10-12 15:27 - hidden

- Status changed from New to In Progress

#2 - 2020-10-12 15:28 - hidden
- Topic set to ADTF::AttachedFiles

#3 - 2020-10-13 08:33 - hidden
Hi Patrick,
Welche Daten mochtest Du denn anh&ngen? Du hast 2 Méglichkeiten:

1. du erzeugst die Config Datei in deinem PreFileClosed Handler, die der Recorder dann danach auswertet. Uber <embedded_file> kannst du
direkt Dateien beftllen.

https://support.digitalwerk.net/adtf/v3/adtf_html/page_file_attachments.html#sec_af_order
2. Du schreibst deine Daten in eine Datei die Uber ein <path> (auch mit wildcards) element in der Config gefunden wird.
GriBe,
Martin

#4 - 2020-10-15 15:06 - hidden

Zu 1: Man hat hier aber die Schwierigkeit, das Plugin und den Recorder immer auf die gleiche Attachment-XML-Datei einstellen zu missen, richtig?
Das Plugin schreibt, der Recorder 6ffnet lesend. Oder kann das Plugin den gesetzten Dateinamen beim Recorder erfragen und diese Datei einfach
erweitern?

Ist in Zukunft eine direktere Méglichkeit wie in ADTF 2 geplant?
#5 - 2020-10-16 08:47 - hidden
Hi Patrick,
Patrick Grabel wrote:
Zu 1: Man hat hier aber die Schwierigkeit, das Plugin und den Recorder immer auf die gleiche Attachment-XML-Datei einstellen zu missen,

richtig? Das Plugin schreibt, der Recorder 6ffnet lesend. Oder kann das Plugin den gesetzten Dateinamen beim Recorder erfragen und diese
Datei einfach erweitern?

Ja das ist fehleranfallig. Nein den Recorder kannst Du nicht direkt nach dem Dateinamen der Config fragen. Ich wirde dir auf jeden Fall Variante 2
(also eine extra Datei) empfehlen. Auch wenn da natirlich auch Attachment Config und Ablageort zusammenpassen mussen.

Ist in Zukunft eine direktere Méglichkeit wie in ADTF 2 geplant?

Nein, im Moment nicht.

GriBe,

Martin

#6 - 2020-10-16 09:29 - hidden
Danke fir die Infos.

Das Ticket kann geschlossen werden.
#7 - 2020-10-16 09:34 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Solved Issue

#8 - 2020-10-16 14:40 - hidden
- Subject changed from ADTF 3 und vom Plugin gesetzte Attachments to ADTF 3 and Plugin generated Attachments

- Description updated

#9 - 2020-10-16 14:41 - hidden

- Description updated

#10 - 2020-10-19 11:58 - hidden
- Project changed from 11 to Public Support
- Status changed from To Be Closed to Closed

- Private changed from Yes to No

#12 - 2021-07-26 13:24 - hidden
- Customer changed from Car.SW Org. to CARIAD
